Description

I'd like to see the hosts network information exposed as parameters in the ENC output.  Currently we have to duplicate all this

information via host parameters (we use things like main_ip => 10.0.0.5, main_gateway => 10.0.0.1, main_subnet_mask =>

255.255.255.0).  It would be nice to not have to duplicate all this.

Basically, everything on the subnet page would be nice to have access to from puppet classes.

Related issues:

Related to Foreman - Feature #2240: Full Multiple Interface Support Closed 02/20/2013

Related to Foreman - Tracker #2409: Networking New

Related to Foreman - Bug #8546: New ENC output for iinterfaces clashes with F... Closed 12/02/2014

Related to Foreman - Bug #8433: Humanized name (type) of NIC works only for m... Closed 11/18/2014

Related to Foreman - Feature #8685: Netmask in ENC output Closed 12/12/2014

Related to Foreman - Bug #8779: VLAN_ID - Subnet Foreman 1.7.1 Closed 12/22/2014

Associated revisions

Revision a1b2ee53 - 10/24/2014 12:04 PM - Marek Hulán

Fixes #2089 - Add network configuration to ENC

History

#1 - 02/27/2014 06:34 PM - Benjamin Papillon

- Description updated

- Status changed from New to Feedback

Hi,

It is possible from 1.2 or 1.3 I don't remember exactly. You have to define the parameters like gateway and DNS in the corresponding Subnet.

Then you can access these informations using the instructions on this wiki page : 

http://projects.theforeman.org/projects/foreman/wiki/TemplateWriting

Tell me if this solution is workign for you or if you are waiting for full resolution of #2240.

Regards

#2 - 09/16/2014 10:16 AM - Marek Hulán

- Related to Tracker #2409: Networking added

#3 - 09/16/2014 10:18 AM - Marek Hulán

- Category set to External Nodes

- Status changed from Feedback to New

We should publish all networking (not just subnet) info we have in ENC, namespacing it with a configurable string so users can avoid potential
clashes with other networking facts.

We should also add some helpers to that existing puppet classes can be fed with data in a better form that <%= @host.interfaces.first.subnet.gateway

%>

#4 - 10/16/2014 05:18 AM - Marek Hulán

- Status changed from New to Assigned

- Assignee set to Marek Hulán

- Target version set to 1.7.2

#5 - 10/17/2014 07:28 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1862 added

- Pull request deleted ()

#6 - 10/17/2014 07:30 AM - Marek Hulán

I decided not to make key name configurable. We can collide only with custom global parameters and facts which still comes from Foreman. We

already add a lot of other information so if this is needed we should either move all (with some backward compatibility) or none. Feel free to add your

comments to the PR if you don't agree.

#7 - 10/24/2014 01:01 PM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset a1b2ee53189c2fdac9e643374799bf0a05957432.

#8 - 10/28/2014 03:55 AM - Dominic Cleal

- translation missing: en.field_release set to 21

#9 - 11/20/2014 08:44 AM - Bryan Kearney

- Bugzilla link set to 1166162

#10 - 12/03/2014 03:48 AM - Dominic Cleal

- Related to Bug #8546: New ENC output for iinterfaces clashes with Facter added

#11 - 12/03/2014 03:48 AM - Dominic Cleal

- Related to Bug #8433: Humanized name (type) of NIC works only for managed interfaces in ENC output added

#12 - 12/15/2014 04:06 AM - Dominic Cleal

- Related to Feature #8685: Netmask in ENC output added

#13 - 01/02/2015 05:18 AM - Dominic Cleal

- Related to Bug #8779: VLAN_ID - Subnet Foreman 1.7.1 added
